class KShortcutList

# class KShortcutList | Base class for accessing accelerator lists. More...
Contains pure virtuals
Definition | `#include <kshortcutlist.h>`
Inherited by | KAccelShortcutList, ShortcutList
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Other { }

#### Public Methods

- KShortcutList ()
- virtual ~KShortcutList ()
- virtual unsigned int count () const
- virtual QString name ( unsigned int index ) const
- virtual QString label ( unsigned int index ) const
- virtual QString whatsThis ( unsigned int index ) const
- virtual const KShortcut& shortcut ( unsigned int index ) const
- virtual const KShortcut& shortcutDefault ( unsigned int index ) const
- virtual bool isConfigurable ( unsigned int index ) const
- virtual bool setShortcut ( unsigned int index, const KShortcut &shortcut )
- virtual bool isGlobal ( unsigned int index ) const
- virtual int index ( const QString& sName ) const
- virtual int index ( const KKeySequence& keySeq ) const
- virtual const KInstance* instance () const
- virtual QVariant getOther ( Other, unsigned int index ) const
- virtual bool setOther ( Other, unsigned int index, QVariant )
- virtual bool save () const
- virtual bool readSettings ( const QString& sConfigGroup = QString::null, KConfigBase* pConfig = 0 )
- virtual bool writeSettings ( const QString& sConfigGroup = QString::null, KConfigBase* pConfig = 0, bool bWriteAll = false, bool bGlobal = false ) const

#### Protected Methods

- virtual void virtual_hook ( int id, void* data )

## Detailed Description

KShortcutList is an abstract base class for KAccelShortcutList and KStdAccel::ShortcutList. It gives you an unified interface for accessing the accelerator lists of KAccel (using @KAccelShortcutList), KGlobalAccel (using @KAccelShortcutList), and KStdAccel (using KStdAccel::ShortcutList).

KShortcutList () | ### KShortcutList

Default constructor.

~KShortcutList () | ### ~KShortcutList

[virtual]

unsigned int count () | ### count

[const pure virtual]

Returns the number of entries.

Returns: the number of entries

QString name ( unsigned int index ) | ### name

[const pure virtual]

Returns the name of the shortcut with the given `index`.

Parameters:

index | the index of the shortcut (must be < count())

Returns: the name of the shortcut

QString label ( unsigned int index ) | ### label

[const pure virtual]

Returns the (i18n'd) label of the shortcut with the given `index`.

Parameters:

index | the index of the shortcut (must be < count())

Returns: the label (i18n'd) of the shortcut

QString whatsThis ( unsigned int index ) | ### whatsThis

[const pure virtual]

Returns the (i18n'd) What's This text of the shortcut with the given `index`.

Parameters:

index | the index of the shortcut (must be < count())

Returns: the What's This text (i18n'd) of the shortcut

const KShortcut& shortcut ( unsigned int index ) | ### shortcut

[const pure virtual]

Returns the shortcut with the given `index`.

Parameters:

index | the index of the shortcut (must be < count())

Returns: the shortcut

See also: shortcutDefault()

const KShortcut& shortcutDefault ( unsigned int index ) | ### shortcutDefault

[const pure virtual]

Returns default shortcut with the given `index`.

Parameters:

index | the index of the shortcut (must be < count())

Returns: the default shortcut

See also: shortcut()

bool isConfigurable ( unsigned int index ) | ### isConfigurable

[const pure virtual]

Checks whether the shortcut with the given `index` is configurable.

Parameters:

index | the index of the shortcut (must be < count())

Returns: true if configurable, false otherwise

bool setShortcut ( unsigned int index, const KShortcut &shortcut ) | ### setShortcut

[pure virtual]

Sets the shortcut of the given entry

Parameters:

index | the index of the shortcut (must be < count())
shortcut | the shortcut

bool isGlobal ( unsigned int index ) | ### isGlobal

[const virtual]

Checks whether the shortcut with the given `index` is saved in the global configuration.

Parameters:

index | the index of the shortcut (must be < count())

Returns: true if global, false otherwise

int index ( const QString& sName ) | ### index

[const virtual]

Returns the index of the shortcut with he given name.

Parameters:

sName | the name of the shortcut to search

Returns: the index of the shortcut, of -1 if not found

int index ( const KKeySequence& keySeq ) | ### index

[const virtual]

Returns the index of the shortcut with he given key sequence.

Parameters:

keySeq | the key sequence to search for

Returns: the index of the shortcut, of -1 if not found

const KInstance* instance () | ### instance

[const virtual]

The KInstance.

Returns: the KInstance of the list, can be 0 if not available

enum Other { } | ### Other

QVariant getOther ( Other, unsigned int index ) | ### getOther

[const pure virtual]

bool setOther ( Other, unsigned int index, QVariant ) | ### setOther

[pure virtual]

bool save () | ### save

[const pure virtual]

Save the shortcut list.

Returns: true if successful, false otherwise

bool readSettings ( const QString& sConfigGroup = QString::null, KConfigBase* pConfig = 0 ) | ### readSettings

[virtual]

Loads the shortcuts from the given configuration file.

Parameters:

sConfigGroup | the group in the configuration file
pConfig | the configuration file to load from

Returns: true if successful, false otherwise

bool writeSettings ( const QString& sConfigGroup = QString::null, KConfigBase* pConfig = 0, bool bWriteAll = false, bool bGlobal = false ) | ### writeSettings

[const virtual]

Writes the shortcuts to the given configuration file.

Parameters:

sConfigGroup | the group in the configuration file
pConfig | the configuration file to save to
bWriteAll | true to write all actions
bGlobal | true to write to the global configuration file

Returns: true if successful, false otherwise

void virtual_hook ( int id, void* data ) | ### virtual_hook

[protected virtual]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:15 2003, using kdoc 2.0a54.